%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
Summary: kdpms - Configures the power management functions of your monitor.
Name: kdpms
Version: 0.2.8
Release: 5
Source0: ftp://ftp.kde.org/pub/kde/stable/1.1.2/apps/utils/%{name}-%{version}.tar.gz
Patch0: kdpms-0.2.7-fixdoc.patch
Copyright: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdebase
BuildPrereq: kdelibs-devel, compat-egcs-c++
Excludearch: ia64

%description
KDPMS allows you to configure the power saving functionality of your
DPMS-compatible monitor.  Most monitors have the ability to power
themselves down when they are idle for some period of time.  This
utility allows you to control the length of the timeouts, and
optionally totally disable display power management.

%prep
%setup -q
#%patch0 -p1 -b .fixdoc

%build
export QTDIR=%{qtdir} KDEDIR=%{prefix} MOC=%{qtdir}/bin/moc
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -I/usr/include/kde"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure --prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT/

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install prefix="$RPM_BUILD_ROOT%{prefix}"

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{name} 

%changelog
* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- set MOC enviroment for qt.1.45 for using
  moc from qt-1.45

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- some fixes to rebuilt against kde1

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on alpha

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.2.8
- adapt to 6.2

* Mon Sep 27 1999 Preston Brown <pbrown@redhat.com>
- whoops aclocal.m4 needed mods to fix the documentation installation dir

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- slightly modified for powertools.
